<?php
/**
 * DeliveryMethodEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Logistic
 *
 * Управление логистикой
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\LogisticClient\Dto;
use \Ensi\LogisticClient\ObjectSerializer;

/**
 * DeliveryMethodEnum Class Doc Comment
 *
 * @category Class
 * @description Способ доставки. Расшифровка значений:   * &#x60;1&#x60; - Курьерская доставка   * &#x60;2&#x60; - Самовывоз
 * @package  Ensi\LogisticClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class DeliveryMethodEnum
{
    /**
     * Possible values of this enum
     */
    const DELIVERY = 1;
    const PICKUP = 2;
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::DELIVERY,
            self::PICKUP,
        ];
    }
}


